WinShopAPI docs
ReferenceItem lists

Companies / Credit worthiness

List credit worthiness

GET
/api/item-lists/companies/credit-worthiness

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/credit-worthiness' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "name": "string",    "number": 0  }]

Get a credit worthines

GET
/api/item-lists/companies/credit-worthiness/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?string
Lengthlength <= 80
number?integer
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/companies/credit-worthiness/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "name": "string",  "number": 0}